ZapytanieBetaQuery.foil
One foil by its identifier; null when there is no such foil.
| Wymagany zakres | warehouse:read |
|---|---|
| Dostępne od | Prynt 0.28.0 |
| Stabilność | Beta (co to znaczy) |
Argumenty
| Nazwa | Typ | Opis |
|---|---|---|
idwymagane | ID! | Identifier of the foil. |
Zwraca
Przykład
query Foil($id: ID!) { foil(id: $id) { id code name widthMm metersPerRoll numberOfRolls pricePerM2 currency }}{ "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b03"}curl -sS https://twoja-drukarnia.prynt.pl/api/v1/graphql \ -H "Authorization: Bearer $PRYNT_API_KEY" \ -H "Content-Type: application/json" \ --data-binary @- <<'JSON'{ "query": "query Foil($id: ID!) {\n foil(id: $id) {\n id\n code\n name\n widthMm\n metersPerRoll\n numberOfRolls\n pricePerM2\n currency\n }\n}", "variables": { "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b03" }}JSON{ "data": { "foil": { "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b03", "code": "FO-3", "name": "Folia mat 25 mic", "widthMm": 720, "metersPerRoll": 200, "numberOfRolls": 2.56, "pricePerM2": 0.9, "currency": "PLN" } }}